<?php
session_start();
include 'config.php';

$sql = "EXECUTE PROCEDURE CREAR_CLIENTE('" . $_POST["nvocnit"] . "', '". $_POST["nvoctipoid"] ."', '". $_POST["nvocnomcli"] ."', '". $_POST["nvocape1"] ."', '". $_POST["nvocape2"] ."', '". $_POST["nvocnom1"] ."', '". $_POST["nvocnom2"] ."', '". $_POST["nvocdir"] ."', '". $_POST["nvocciu"] ."' , '". $_POST["nvoctel"] ."', '". $_POST["nvoccel"] ."', '". $_POST["nvocfax"] ."', '". $_POST["nvocmail"] ."', '". $_POST["nvoccontacto"] ."', '". $_POST["nvocobs"] ."', '". $_POST["nvoczona"] ."')";

try {
	$dbh = new PDO("firebird:dbname=$dbname", $_SESSION['usuario'], $_SESSION['clave']);
	$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$dbh = null;
} catch(PDOException $e) {
	if ($e->getCode() == 335544472){
		echo '{"error":[{"ERROR":"1","MSJ":"Mal usuario o clave","ERRORCOD":"'.$e->getCode().'"}]}';
	}else if ($e->getCode() == 335544344){
		echo '{"error":[{"ERROR":"2","MSJ":"No se encontro la base de datos","ERRORCOD":"'.$e->getCode().'"}]}';
	}else{
		echo '{"error":[{"ERROR":"3","MSJ":"NO IDENTIFICADO","ERRORCOD":"'.$e->getMessage().'"}]}'; 
	}
}
?>